Developers
API ReferenceMessage Template

Updates the MessageTemplate resource

PATCH
/ticket/message-templates/{id}

Updates the MessageTemplate resource

Authorization<token>

Value for the Authorization header parameter.

In: header

Path Parameters

id*string

MessageTemplate identifier

Request Body

The updated MessageTemplate resource

TypeScript Definitions

Use the request body type in TypeScript.

name?string
Length1 <= length <= 100
content?string
Length1 <= length <= 100000

Response Body

curl -X PATCH "https://example.com/ticket/message-templates/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "content": "string",  "createdBy": "https://example.com/",  "createdAt": "2019-08-24T14:15:22Z",  "updatedBy": "https://example.com/",  "updatedAt": "2019-08-24T14:15:22Z",  "ticketFiles": [    "string"  ]}